/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'libs/vars';
@import 'libs/functions';
@import 'libs/mixins';
@import 'libs/skel';
@import url('https://fonts.googleapis.com/css?family=Raleway:200,700');

$fontello-hash: 'b49fcf90';
@font-face {
    font-family: 'fontello';
    src: url('../font/fontello.eot?#{ $fontello-hash }');
    src: url('../font/fontello.eot?#{ $fontello-hash }#iefix')
            format('embedded-opentype'),
         url('../font/fontello.woff2?#{ $fontello-hash }') format('woff2'),
         url('../font/fontello.woff?#{ $fontello-hash }') format('woff'),
         url('../font/fontello.ttf?#{ $fontello-hash }') format('truetype'),
         url('../font/fontello.svg?#{ $fontello-hash }#fontello')
            format('svg');
    font-weight: normal;
    font-style: normal;
}

.fontello {
    font-family: 'fontello' !important;
}

/*
	Solid State by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
*/

@include skel-breakpoints((
    xlarge: '(max-width: 1680px)',
    large: '(max-width: 1280px)',
    medium: '(max-width: 980px)',
    small: '(max-width: 736px)',
    xsmall: '(max-width: 640px)',
    xxsmall: '(max-width: 360px)'
));

@include skel-layout((
    reset: 'full',
    boxModel: 'border',
));

// Base.

	@import 'base/page';
	@import 'base/typography';

// Component.

	@import 'components/form';
	@import 'components/list';
	@import 'components/table';
	@import 'components/button';
	@import 'components/titlenbutton';
	@import 'components/tabs';
	@import 'components/loader';

// Layout.

	@import 'layout/header';
	@import 'layout/banner';
	@import 'layout/wrapper';
	@import 'layout/footer';
	@import 'layout/homepage';

// App.

        @import 'quill';
        @import 'slidestructure';
        @import 'presentationlist';
        @import 'presentationplayer';
        @import 'medialibrary';
        @import 'block';
        @import 'overlay';
        @import 'iframeblock';
        @import 'styleseditor';
        @import 'SlideThumb';
        @import 'SlideEditor';
        @import 'Promo';
        @import 'Onboarding';
        @import 'SpeechView';
        @import 'DragBar';
        @import 'media--print';

@keyframes blink-animation {
  to {
    visibility: hidden;
  }
}

blink {
  animation: blink-animation 1s steps(5, start) infinite;
}

.header-padding-container {
    height: 3.5em;  // Header height
}

.clickable {
    cursor: pointer;
}


.bullet {
    display: flex;

    &:before {
        content: "●";
        margin-top: 11px;
        margin-bottom: auto;
        margin-left: 4px;
        margin-right: 4px;
    }

    &.n2:before {
        content: "◇";
    }

    &.n3:before {
        content: "■";
    }

    &.n4:before {
        content: "○";
    }
}

.quill,
.ql-container,
.ql-editor {
    width: 100%;
}

.ql-editor p {
    margin-bottom: 0;
}

.app-table td {
    vertical-align: top;
}

.add-slide {
    display: block;
    height: 2em;
    margin: 0.5em 0;
    padding: 0 1em;
    line-height: 0;
}

.BackgroundPreviews,
.StylePreviews,
.slide-templates,
.ColorPalette {
    list-style: none;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-top: -0.5em;
}
.slide-templates > *,
.BackgroundPreviews__item {
    width: 192px;
    height: 108px;
    margin-top: 0.5em;
}
.StylePreviews__item {
    margin-top: 0.5em;
}
.BackgroundPreviews__item,
.StylePreviews__item,
.ColorPalette__color {
    transition: all _duration(transition) ease-in-out;
}
.BackgroundPreviews__item--selected,
.StylePreviews__item--selected,
.ColorPalette__color--selected {
    border: 5px solid _palette(border2);
    box-shadow: 0 0 15px _palette(border2);
    transform: scale(0.8);
}

.ColorPalette__color {
    width: 54px;
    height: 54px;
    border-radius: 100%;
    margin-top: 0.5em;
}
.ColorPalette__color--white:not(.ColorPalette__color--selected) {
    border: 1px solid black;
}


/*
 * Slide Default Style (presenterclub)
 */

.slide-center {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 100%;
    height: 100%;

    > * {
        text-align: center;
    }
}

.slide h1 {
    font-size: 2.5em;
    //font-weight: 300 !important;
    margin-bottom: 0;
    line-height: 1.75;
}

.slide h2:last-child {
    margin-bottom: 0;
}

.slide img {
    max-width: 100%;
    max-height: 100%;
}

.slide [contenteditable="true"] {
    outline: none;
}

.slide-fullscreen {
    &, .slide-bg-image {
        width: 100%;
        height: 80vh;
    }

    @mixin fullscreen-styles() {
        position: fixed;
        z-index: 1000;

        top: 0;
        left: 0;

        &, .slide-bg-image {
            height: 100%;
        }

        .slide-bg-image .slide-bg-attr {
            top: initial;
            margin-top: 0;
            bottom: 0;
        }
    }

    &:fullscreen {
        @include fullscreen-styles();
    }
    &:-webkit-full-screen {
        @include fullscreen-styles();
    }
    &:-moz-full-screen {
        @include fullscreen-styles();
    }
    &:full-screen {
        @include fullscreen-styles();
    }

    .slide-bg-image .slide-bg-attr {
        top: 80vh;
        margin-top: 5em;
        bottom: initial;
    }
}


.end-slide {
    h1 {
        font-size: 3em;
        margin-bottom: 0;
    }
    p {
        font-size: 1.5em;
    }
    p.end-slide-small {
        font-size: 0.8em;
        margin-bottom: 0;
    }
}
